Page MenuHomePhabricator

In the Phabricator e-mail, say "[Commented]" in the subject instead of hiding the comment under the subscribing
Closed, ResolvedPublic

Description

I receive an e-mail from Phabricator.
The e-mail is about the issue T98498.
It tells me that a person has written a comment, and that a person is now subscribed to the issue.
The comment is interesting, but I don't care about the subscribing.

The subject of the e-mail contains [Changed Subscribers], but not [Commented]. The e-mail hides the (interesting) comment under the (uninteresting) subscribing. I could very well have trashed the e-mail without knowing about the comment.

In this case, please include [Commented] in the subject of the e-mail.

Thank you.

Nnemo


See also:

T101106: When unsubscribing from task via email, Phab mail notification said a comment was left, but none was

Event Timeline

Nnemo created this task.May 8 2015, 5:29 AM
Nnemo updated the task description. (Show Details)
Nnemo raised the priority of this task from to Needs Triage.
Nnemo added a project: Phabricator.
Nnemo added a subscriber: Nnemo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2015, 5:29 AM
Nnemo renamed this task from In the subject of the Phabricator e-mail, say "Commented", not "Changed Subscribers" to In the Phabricator e-mail, say "[Commented]" in the subject instead of hiding the comment under the subscribing.May 8 2015, 5:31 AM
Nnemo set Security to None.
Nnemo added a comment.May 8 2015, 5:33 AM

I change the title of the task.

Including [Changed Subscribers] in the subject is not a problem.

Forgetting [Commented] in the subject is a problem.

Nnemo added a comment.May 8 2015, 5:38 AM

Let me correct something:
The person subscribed is not the author of the comment.
This may be the cause of the bug.

Nnemo updated the task description. (Show Details)May 8 2015, 5:38 AM
Nnemo updated the task description. (Show Details)

I think this is a duplicate of T78257.

Qgil triaged this task as Lowest priority.May 11 2015, 6:38 AM
Qgil edited projects, added Phabricator (Upstream); removed Phabricator.
Qgil added a subscriber: Qgil.May 11 2015, 6:45 AM

I think this is a duplicate of T78257.

Could be, yes. It would be useful to check whether email and web notifications show the same problem for the same events, just to be sure.

This comment was removed by Nnemo.

I think this is a duplicate of T78257.

The cause may be the same.

But the issues are different.

  1. This issue is for e-mail.
  2. This issue is not related to ignoring. If I don't ignore subscriptions, the hiding of the comment under the subscription is still a bug.

The explanation of current behavior can be found in https://secure.phabricator.com/T5253#62160.
(And historically, this issue was already brought up in T85#1264.)

Is this resolved?

Aklapper closed this task as Resolved.Jun 9 2016, 2:54 PM
Aklapper claimed this task.

I think this is resolved, probably by T78257#2316198 - at least I have not seen this for a while.
Hence closing. Please reopen if this still happens (preferably with a testcase). Thanks!

Nnemo updated the task description. (Show Details)Nov 11 2016, 12:39 PM